# Interface ArrowDto

Data transfer object for markup arrows, this represents the arrow data that will be saved to the layer.

interface ArrowDto {
arrowHeight: number;
arrowPoint: Vertex3;
arrowWidth: number;
bluntPoint: Vertex3;
color: RgbaDTO;
id: string;
lineThickness: number;
properties: { [key: string]: string | number | boolean };
type: Arrow;
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - ArrowDto

##### Index

### Properties

arrowHeight
arrowPoint
arrowWidth
bluntPoint
color
id
lineThickness
properties
type

## Properties

### arrowHeight

arrowHeight: number

### arrowPoint

arrowPoint: Vertex3

### arrowWidth

arrowWidth: number

### bluntPoint

bluntPoint: Vertex3

### color

color: RgbaDTO

### id

id: string

Inherited from EntityBaseDto.id

### lineThickness

lineThickness: number

### properties

properties: { [key: string]: string | number | boolean }

Inherited from EntityBaseDto.properties

### type

type: Arrow